Bug 1126697 - mingw-llvm: llvm: resource consumption issue in C++ regex library [fedora-all]
Summary: mingw-llvm: llvm: resource consumption issue in C++ regex library [fedora-all]
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-llvm
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_ping=1
Depends On:
Blocks: 1126695
TreeView+ depends on / blocked
 
Reported: 2014-08-05 05:43 UTC by Murray McAllister
Modified: 2015-01-04 22:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-22 12:30:11 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-08-05 05:43:30 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-08-05 05:43:37 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1126695,1126697

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1126695,1126697

Comment 2 pjp 2014-12-03 18:29:45 UTC
Hello spacewar,

Could you please fix this soon?

Comment 3 Eric Smith 2014-12-03 20:43:25 UTC
As far as I can tell, this problem doesn't exist with mingw-llvm.  If I'm wrong, in order to fix it I'll need a test case that demonstrates the problem.

Comment 4 pjp 2014-12-05 14:27:14 UTC
  Hello Eric,

Please see:
  -> http://llvm.org/bugs/show_bug.cgi?id=20291

This bug has couple of PoC there, not sure if they could reproduce the issue with mingw-llvm. If not, and since you say mingw-llvm is not affected, please close this bug as NOTABUG like its parent bug.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.